#91435 Report by node sphinx covering 1963 tests from 54 modules resulted into 10 errors

Report

ObsPy Version
1.1.0.post0+55.g0fe53cb580....
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
931.4 sec
Report Date/Time
2018-01-13 00:06:14

System / Python

Architecture
32bit
Machine
i686
Node
sphinx
Processor
i686
Python Compiler
GCC 4.4.7 20120313 (Red Hat 4.4.7-1)
Python Implementation
CPython
Python Version
3.4.4
Release
2.6.32-042stab127.2
System
Linux
Version
#1 SMP Thu Jan 4 16:41:44 MSK 2018

Dependencies

cartopy
---
decorator
4.0.6
flake8
2.5.1
future
0.15.2
geographiclib
---
lxml.etree
3.3.5
m2crypto
---
matplotlib
2.0.2
mock
1.3.0
mpl_toolkits.basemap
1.0.7
numpy
1.10.4
pep8-naming
---
pyflakes
1.0.0
pyimgur
---
pyproj
1.9.4
requests
2.9.1
scipy
0.17.0
setuptools
19.6.2
shapefile
---
sqlalchemy
1.0.11

Modules (54)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink 6 1 2 3 4 5 6
obspy.clients.earthworm - -
obspy.clients.fdsn 2 7 8
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl 1 9
obspy.clients.seedlink 1 10
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 10 10

Tracebacks (10)

Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/tests/test_client.py", line 763, in test_get_waveform_instrument_change
metadata=True)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 458, in get_waveforms
instruments=True, route=route)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 1123, in get_inventory
result = self._fetch(rtype, rdata, route=route)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 260, in _fetch
return self._request(request_type, request_data)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/tests/test_client.py", line 404, in test_get_stations
result = client.get_stations(start, end, 'BW')
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 1379, in get_stations
endtime=endtime, route=route)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 1123, in get_inventory
result = self._fetch(rtype, rdata, route=route)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/tests/test_client.py", line 161, in test_get_inventory
endtime=dt + 1)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 1123, in get_inventory
result = self._fetch(rtype, rdata, route=route)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/tests/test_client.py", line 739, in test_get_inventory_instrument_change
instruments=True, route=False)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 1123, in get_inventory
result = self._fetch(rtype, rdata, route=route)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/tests/test_client.py", line 48, in test_get_waveform
stream = client.get_waveforms('GE', 'APE', '', 'BHE', start, end)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 444, in get_waveforms
compressed=compressed, route=route)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 565, in save_waveforms
data = self._fetch(rtype, rdata, route=route)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 225, in _fetch
endtime=request_data[1])
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 622, in get_routing
result = self._fetch(rtype, rdata, route=False)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/tests/test_client.py", line 126, in test_get_routing
results = client.get_routing('BW', 'RJOB', dt, dt + 1)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 622, in get_routing
result = self._fetch(rtype, rdata, route=False)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/tests/test_client.py", line 1085, in test_redirection
catalog="ISC")
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 505, in get_events
raise ValueError(msg)
ValueError: The current client does not have an event service.
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/tests/test_client.py", line 1152, in test_redirection_auth
network="IU", station="ANMO", level="network")
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/fdsn/client.py", line 703, in get_stations
raise ValueError(msg)
ValueError: The current client does not have a station service.
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.nrl.client.NRL.get_response
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/nrl/client.py", line 183, in get_response
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/nrl/client.py", line 194, in obspy.clients.nrl.client.NRL.get_response
Failed example:
response = nrl.get_response(
sensor_keys=['Nanometrics', 'Trillium Compact', '120 s'],
datalogger_keys=['REF TEK', 'RT 130 & 130-SMA', '1', '200'])
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 137, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/util/connection.py", line 67, in create_connection
for res in socket.getaddrinfo(host, port, 0, socket.SOCK_STREAM):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/socket.py", line 537, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 559, in urlopen
body=body, headers=headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 353, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 162, in connect
conn = self._new_conn()
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/connection.py", line 146, in _new_conn
self, "Failed to establish a new connection: %s" % e)
requests.packages.urllib3.exceptions.NewConnectionError: <requests.packages.urllib3.connection.HTTPConnection object at 0xae6a0ecc>: Failed to establish a new connection: [Errno -2] Name or service not known
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/adapters.py", line 376, in send
timeout=timeout
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py", line 609, in urlopen
_stacktrace=sys.exc_info()[2])
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/packages/urllib3/util/retry.py", line 273, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
requests.packages.urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='ds.iris.edu', port=80): Max retries exceeded with url: /NRL/dataloggers/reftek/index.txt (Caused by NewConnectionError('<requests.packages.urllib3.connection.HTTPConnection object at 0xae6a0ecc>: Failed to establish a new connection: [Errno -2] Name or service not known',))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.nrl.client.NRL.get_response[1]>", line 3, in <module>
datalogger_keys=['REF TEK', 'RT 130 & 130-SMA', '1', '200'])
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/nrl/client.py", line 213, in get_response
dl_resp = self.get_datalogger_response(datalogger_keys)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/nrl/client.py", line 160, in get_datalogger_response
datalogger = datalogger[key]
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/nrl/client.py", line 253, in __getitem__
value = self._nrl._parse_ini(value)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/nrl/client.py", line 114, in _parse_ini
cp = self._get_cp_from_ini(path)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/nrl/client.py", line 317, in _get_cp_from_ini
with io.StringIO(self._download(path)) as buf:
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/nrl/client.py", line 302, in _download
r = requests.get(url)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/api.py", line 67, in get
return request('get', url, params=params, **kwargs)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/api.py", line 53, in request
return session.request(method=method, url=url, **kwargs)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/sessions.py", line 468, in request
resp = self.send(prep, **send_kwargs)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/sessions.py", line 576, in send
r = adapter.send(request, **kwargs)
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/site-packages/requests/adapters.py", line 437, in send
raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='ds.iris.edu', port=80): Max retries exceeded with url: /NRL/dataloggers/reftek/index.txt (Caused by NewConnectionError('<requests.packages.urllib3.connection.HTTPConnection object at 0xae6a0ecc>: Failed to establish a new connection: [Errno -2] Name or service not known',))
----------------------------------------------------------------------
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/nrl/client.py", line 197, in obspy.clients.nrl.client.NRL.get_response
Failed example:
print(response) # doctest: +NORMALIZE_WHITESPACE +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/home/obspy/anaconda3/envs/tmp_build_docs/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.nrl.client.NRL.get_response[2]>", line 1, in <module>
print(response) # doctest: +NORMALIZE_WHITESPACE +ELLIPSIS
NameError: name 'response' is not defined
Traceback (most recent call last):
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/tests/test_basic_client.py", line 42, in test_get_waveform
_test_offset_from_realtime(offset)
File "/private-backup/home/obspy/update-docs/src/obspy/obspy/clients/seedlink/tests/test_basic_client.py", line 25, in _test_offset_from_realtime
self.assertGreater(len(st), 0)
AssertionError: 0 not greater than 0

Skipped Tests (43)

Submodule Test Skip Message
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
clients.arclink test_get_waveform_with_default_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) $HOME/dcidpasswords.txt already exists
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_catalog_shapefile_with_extra_field (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed

Slowest Tests (20)

Runtime Test
36.801s test_get_waveform (obspy.clients.arclink.tests.test_client.ClientTestCase)
35.472s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
33.756s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
27.854s test_get_inventory_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
27.037s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
26.238s test_get_stations_inconsistency (obspy.clients.arclink.tests.test_client.ClientTestCase)
26.172s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
26.090s test_get_stations (obspy.clients.arclink.tests.test_client.ClientTestCase)
20.911s test_get_waveform (obspy.clients.seedlink.tests.test_basic_client.ClientTestCase)
20.594s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
11.657s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
11.650s __init__ (obspy.taup)
11.027s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
10.044s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
9.774s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
8.821s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
8.711s test_plot_wiggles_negative_section (obspy.imaging.tests.test_waveform.WaveformTestCase)
8.209s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
8.062s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
7.857s test_plot_wiggles_horizontal_section (obspy.imaging.tests.test_waveform.WaveformTestCase)

Chuck Norris Fact

When Chuck Norris throws exceptions, it's across the room.